Bug 498805 - Review Request: wavemon - Ncurses-based monitoring application for wireless network devices
Review Request: wavemon - Ncurses-based monitoring application for wireless n...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-03 09:53 EDT by Fabian Affolter
Modified: 2014-09-11 11:21 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.6.5-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-19 20:49:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-05-03 09:53:27 EDT
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/wavemon.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/wavemon-0.6-1.fc10.src.rpm

Project URL: http://eden-feed.erg.abdn.ac.uk/wavemon/

Description:
wavemon is a wireless device monitoring application that allows you to
watch all important information like device configuration, encryption,
and power management parameters and network information at once.
Adaptive level bargraphs for link quality, signal/noise strength and
signal-to-noise ratio.  The customizeable "level alarm" feature that 
notices the user of changes in signal level strength audibly and/or
visually. wavemon is able to list of access points in range and shows
full-screen level histogram displaying signal/noise levels and SNR.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1334026

rpmlint output:
[fab@laptop24 i386]$ rpmlint wavemon*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop24 SRPMS]$ rpmlint wavemon-0.6-1.fc10.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Susi Lehtola 2009-05-04 14:56:10 EDT
- Optflags are not used. Use
 make CFLAGS="%{optflags}" %{?_smp_mflags}

- What is the stuff the package installs in %{_datadir} that you remove?

Once you've fixed these I'll review the package.
Comment 2 Fabian Affolter 2009-05-05 18:20:26 EDT
(In reply to comment #1)
> - Optflags are not used. Use
>  make CFLAGS="%{optflags}" %{?_smp_mflags}

fixed
 
> - What is the stuff the package installs in %{_datadir} that you remove?

doc files

> Once you've fixed these I'll review the package.  

Thanks

Here are the updated files:

Spec URL: http://fab.fedorapeople.org/packages/SRPMS/wavemon.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/wavemon-0.6-2.fc10.src.rpm
Comment 3 Susi Lehtola 2009-05-06 01:49:27 EDT
rpmlint output is clean.

MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK
MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. OK
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. N/A
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Debuginfo package is complete. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
MUST: Header files must be in a -devel package. N/A
MUST: Static libraries must be in a -static package. N/A
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. N/A
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. N/A
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. N/A
MUST: Packages does not contain any .la libtool archives. N/A
MUST: Desktop files are installed properly. N/A
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK

The package has been

APPROVED
Comment 4 Fabian Affolter 2009-05-06 04:37:14 EDT
Thanks for the review.
Comment 5 Fabian Affolter 2009-05-06 04:38:10 EDT
New Package CVS Request
=======================
Package Name: wavemon
Short Description: Ncurses-based monitoring application for wireless network devices
Owners: fab
Branches: F-9 F-10 F-11
InitialCC:
Comment 6 Kevin Fenzi 2009-05-06 17:06:23 EDT
cvs done.
Comment 7 Fedora Update System 2009-05-07 07:08:39 EDT
wavemon-0.6-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/wavemon-0.6-2.fc10
Comment 8 Fedora Update System 2009-05-07 07:08:44 EDT
wavemon-0.6-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/wavemon-0.6-2.fc9
Comment 9 Fedora Update System 2009-05-07 07:08:49 EDT
wavemon-0.6-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/wavemon-0.6-2.fc11
Comment 10 Fedora Update System 2009-05-08 23:56:50 EDT
wavemon-0.6-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wavemon'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4334
Comment 11 Fedora Update System 2009-05-08 23:58:45 EDT
wavemon-0.6-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wavemon'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4357
Comment 12 Fedora Update System 2009-05-09 00:12:57 EDT
wavemon-0.6-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update wavemon'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-4523
Comment 13 Fedora Update System 2009-05-19 09:18:35 EDT
wavemon-0.6.5-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/wavemon-0.6.5-1.fc10
Comment 14 Fedora Update System 2009-05-19 09:18:41 EDT
wavemon-0.6.5-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/wavemon-0.6.5-1.fc9
Comment 15 Fedora Update System 2009-05-19 09:18:46 EDT
wavemon-0.6.5-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/wavemon-0.6.5-1.fc11
Comment 16 Fedora Update System 2009-05-19 20:49:18 EDT
wavemon-0.6.5-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-05-19 20:55:01 EDT
wavemon-0.6.5-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2009-05-19 20:55:11 EDT
wavemon-0.6.5-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fabian Affolter 2012-05-11 08:39:20 EDT
Package Change Request
======================
Package Name: wavemon
New Branches: el6
Owners: fab
Comment 20 Gwyn Ciesla 2012-05-11 09:07:55 EDT
Git done (by process-git-requests).
Comment 21 Fabian Affolter 2014-09-11 10:21:41 EDT
Package Change Request
======================
Package Name: wavemon
New Branches: epel7
Owners: fab 
InitialCC:
Comment 22 Gwyn Ciesla 2014-09-11 11:21:35 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.